Subject: Re: bug#4147: 23.1.50: Info-search command strange behaviour

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Dec 2009 02:45:52 +0200

[I'm not sure whether all sent mails in this thread already arrived after
the transition period, but let's hope that nothing will be lost.]

Meanwhile, I wrote a small proof of concept that works surprisingly well.

All next/prev/up navigations links work from the "header-line" window
without additional efforts thanks to the following existing code in
Info-next/Info-prev/Info-up:

    (or (eq major-mode 'Info-mode) (pop-to-buffer "*info*"))

that after clicking on a link in the "header-line" window moves the
current focus from the "header-line" window to the window with the
Info buffer.  (The links are not yet displayed as blue underlined text,
but nevertheless work well).

The breadcrumbs links don't do this, so they currently don't work.

-- 
Juri Linkov
http://www.jurta.org/emacs/